Bug 1266336 - Review Request: Mass review exception : php-zendframework
Review Request: Mass review exception : php-zendframework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 01:09 EDT by Remi Collet
Modified: 2015-10-02 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 22:01:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Remi Collet 2015-09-25 01:14:35 EDT
New Package SCM Request
=======================
Package Name: ** see above list **
Short Description: Zend Framework
Upstream URL: http://framework.zend.com/
Owners: remi siwinski
Branches: f23
InitialCC: 


Packages list:

php-zendframework
php-zendframework-zend-authentication
php-zendframework-zend-barcode
php-zendframework-zend-cache
php-zendframework-zend-captcha
php-zendframework-zend-code
php-zendframework-zend-config
php-zendframework-zend-console
php-zendframework-zend-crypt
php-zendframework-zend-db
php-zendframework-zend-debug
php-zendframework-zend-di
php-zendframework-zend-dom
php-zendframework-zend-escaper
php-zendframework-zend-eventmanager
php-zendframework-zend-feed
php-zendframework-zend-file
php-zendframework-zend-filter
php-zendframework-zend-form
php-zendframework-zend-http
php-zendframework-zend-i18n
php-zendframework-zend-i18n-resources
php-zendframework-zend-inputfilter
php-zendframework-zend-json
php-zendframework-zend-ldap
php-zendframework-zend-loader
php-zendframework-zend-log
php-zendframework-zend-mail
php-zendframework-zend-math
php-zendframework-zend-memory
php-zendframework-zend-mime
php-zendframework-zend-modulemanager
php-zendframework-zend-mvc
php-zendframework-zend-navigation
php-zendframework-zend-paginator
php-zendframework-zend-permissions-acl
php-zendframework-zend-permissions-rbac
php-zendframework-zend-progressbar
php-zendframework-zend-serializer
php-zendframework-zend-server
php-zendframework-zend-servicemanager
php-zendframework-zend-session
php-zendframework-zend-soap
php-zendframework-zend-stdlib
php-zendframework-zend-tag
php-zendframework-zend-test
php-zendframework-zend-text
php-zendframework-zend-uri
php-zendframework-zend-validator
php-zendframework-zend-version
php-zendframework-zend-view
php-zendframework-zendxml
php-zendframework-zend-xmlrpc
Comment 2 Gwyn Ciesla 2015-09-25 06:37:54 EDT
WARNING: Ticket is not assigned to anyone.
WARNING: fedora-review flag not set
WARNING: Requested package name ** see above list ** doesn't match bug summary Mass
Comment 3 Parag AN(पराग) 2015-09-25 23:36:23 EDT
I just wonder is there any guidelines on how to request SCM here for such mass review requests? Can it be added on https://fedoraproject.org/wiki/Package_SCM_admin_requests page?

Not sure if git-process-requests script is capable of handling such requests.

Why for such requests a common Sort Description is used? or are we relying here on pkgdb_updater script to correct the package description here?
Comment 4 Remi Collet 2015-09-26 00:53:35 EDT
(In reply to Parag AN(पराग) from comment #3)
> Not sure if git-process-requests script is capable of handling such requests.

I just give the list of packages, as asked by tibbs.

> Why for such requests a common Sort Description is used? or are we relying
> here on pkgdb_updater script to correct the package description here?

Correct description is "Zend Framework xxx component"
But yes, I think we can rely on pkgdb_updater script.
Comment 5 Parag AN(पराग) 2015-09-26 01:35:39 EDT
Cool. Thanks Remi. I am just trying to understand here how this new way of mass review exception process will be working here.
Comment 6 Jason Tibbitts 2015-09-28 16:04:08 EDT
This is the first one, so process needs to be worked out since there aren't really existing tools.  It's kind of early to ask for it to be written down.  Of course, the rest of the process is already documented.

For now I just asked Remi to file the ticket he filed so that I can work through the process and if this works then I can just codify what he's done.
Comment 7 Jason Tibbitts 2015-09-30 22:01:02 EDT
OK, that's finished.  Had to find enough time to write the tool to create everything and after a fashion it actually worked.  Though somehow it actually added me to one of the packages.

In any case, this seemed to work well enough.
Comment 8 Remi Collet 2015-10-02 11:02:15 EDT
@tibbs thanks

All packages built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.